cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Unable to import or open dashboard XMLs across minor versions of AppMon?

Hello there,

We are doing agile setup of APM for a client and we quickly wanted to import the Dashboard XMLs from earlier dashboards which were created in AppMon 6.5.7.1500 into the current latest version AppMon 6.5.24.1006?

But I was baffled since it is not allowing me to import it anyways. Why are dashboards not compatible across sub minor versions?

Could you kinldy help me please? Is there way to do it except rolling back update.

Regards, Rajesh.

2 REPLIES 2

luiz_goncalves
Inactive

Hi Rajesh.
Try to make a copy of your dashboard.
Then open the copy on a text editor, it is a XML file.

At the begging of the file you will find those tags :

<dynatrace version="7.0.4.1003" date="9/4/17 11:06 AM">

<dashboardconfig memento.version="7.0.4.1003"

Make sure it is on the right version of your appMon instalation.

Then save it and try to open again on the AppMon Client

Thanks Luiz.

I did tried to make chnages by replace all function of a simple text editor. But While opening it, it throws error popup. Unable to open.

Meanwhile, I am trying to bring down the fix pack to exact version since it is only inception stage of APM.

However, this is interesting bug/incompatibility, if it is not intended. And must be backward supported across all minor versions of 6.5+.

Regards, Rajesh.